Bug 1270393 - [DOCS] [3.1] [Feature] Document Ceph and Gluster support for RHEL based nodes
[DOCS] [3.1] [Feature] Document Ceph and Gluster support for RHEL based nodes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Thien-Thi Nguyen
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 17:38 EDT by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 19:29:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-10-09 17:38:11 EDT
A new feature in storage is the availability of Ceph and Gluster for RHEL based nodes.

There are multiple dev Trello cards that cover this so check in the Storage board: https://trello.com/b/IT2DZTj7/private-storage
Comment 2 Thien-Thi Nguyen 2015-10-14 18:14:03 EDT
> There are multiple dev Trello cards that cover this

I found this one:

 https://trello.com/c/Qy8fc8Lt/96-provide-a-container-for-running-gluster-ceph-nfs-containerized-on-top-of-openshift-that-can-be-integrated-into-e2e-tests

IIUC, it deals w/ both Gluster and Ceph on OpenShift, specifically in the context of testing, rather than as a user feature.  Do you have any other cards in mind?  I am adding a CS needinfo.
Comment 3 Vikram Goyal 2015-10-14 19:08:49 EDT
(In reply to Thien-Thi Nguyen from comment #2)
> > There are multiple dev Trello cards that cover this
> 
> I found this one:
> 
>  https://trello.com/c/Qy8fc8Lt/96-provide-a-container-for-running-gluster-
> ceph-nfs-containerized-on-top-of-openshift-that-can-be-integrated-into-e2e-
> tests
> 
> IIUC, it deals w/ both Gluster and Ceph on OpenShift, specifically in the
> context of testing, rather than as a user feature.  Do you have any other
> cards in mind?  I am adding a CS needinfo.

IIUC are also related:

https://trello.com/c/UhaVthjD/24-storage-container-container-data-on-ceph-gluster-application-data

https://trello.com/c/drxeT4m7/21-application-data-use-existing-glusterfs-with-rhel-atomic-containers-for-persisting-application-data

Reach out to the technical contacts (AFAIK. Steve Watt) as well to help you with this.
Comment 4 Thien-Thi Nguyen 2015-10-28 14:00:41 EDT
According to Steve Watt, the person to talk to is Erin Boyd.
Removing Steve Watt from the CC list and setting needinfo to Erin Boyd.
Comment 5 Thien-Thi Nguyen 2015-11-01 18:17:42 EST
Latest persistent storage docs (origin):

 https://github.com/openshift/openshift-docs/tree/master/admin_guide/persistent_storage

At the moment this already includes some coverage of GlusterFS:

 https://github.com/openshift/openshift-docs/blob/master/admin_guide/persistent_storage/persistent_storage_glusterfs.adoc

General questions:

 (a) What is missing from the GlusterFS docs?
 (b) Can the Ceph docs be modeled after the GlusterFS docs?
Comment 6 Erin Boyd 2015-11-04 00:06:46 EST
Hi,
So RE your questions
(a) Scott Creeley from my team is updating the GlusterFS documentation
(b) I am updating the Ceph documenation at the moment. I will send you the PR when I cut it.
Comment 7 Thien-Thi Nguyen 2015-11-12 06:46:19 EST
(In reply to Erin Boyd from comment #6)

> (a) Scott Creeley from my team is updating the GlusterFS documentation
> (b) I am updating the Ceph documenation at the moment. I will send you the PR when I cut it.

Thanks.  I'll set you for needinfo.
Comment 8 Thien-Thi Nguyen 2015-11-14 10:17:44 EST
PR: https://github.com/openshift/openshift-docs/pull/1148

In this case documentation for both GlusterFS and Ceph originated from the developers (thus, no need for tech review), leaving only editing/style fixups.  So, that's what i'll do.
Comment 9 Thien-Thi Nguyen 2015-11-14 11:22:03 EST
PR: https://github.com/openshift/openshift-docs/pull/1194
Comment 10 openshift-github-bot 2015-11-15 20:34:32 EST
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/0f67603b0434de96472be597e6a297747a2d8d1e
Merge pull request #1194 from tnguyen-rh/bz1270393

small fixes for GlusterFS and Ceph persistent storage

BTW, this PR "fixes" bug 1270393.

Note You need to log in before you can comment on or make changes to this bug.